#include <iostream>
using namespace std;
int fact (int n);
main(){
	int n;
	cout<<"enter a num -->";
	cin>>n;
	cout<<n<<"!= "<<fact(n);
	return 0;
	}
int fact (int n){
int f=0;
if ((n==0)||(n==1))
	return 1;
else
	f=n*fact (n-1);
return f;
}
